Updates an existing non-billable time entry.
curl --request PUT \
--url https://{install}/api/time/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity": "<string>",
"dated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"nonBillableId": "<string>",
"timeLogged": "<string>",
"comment": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}
'import requests
url = "https://{install}/api/time/{id}"
payload = {
"entity": "<string>",
"dated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"nonBillableId": "<string>",
"timeLogged": "<string>",
"comment": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity: '<string>',
dated: '2023-11-07T05:31:56Z',
userId: '<string>',
nonBillableId: '<string>',
timeLogged: '<string>',
comment: '<string>',
tenantId: '<string>',
id: '<string>',
created: '2023-11-07T05:31:56Z',
createdBy: '<string>',
updated: '2023-11-07T05:31:56Z',
updatedBy: '<string>',
deleted: true
})
};
fetch('https://{install}/api/time/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));using RestSharp;
var options = new RestClientOptions("https://{install}/api/time/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"entity\": \"<string>\",\n \"dated\": \"2023-11-07T05:31:56Z\",\n \"userId\": \"<string>\",\n \"nonBillableId\": \"<string>\",\n \"timeLogged\": \"<string>\",\n \"comment\": \"<string>\",\n \"tenantId\": \"<string>\",\n \"id\": \"<string>\",\n \"created\": \"2023-11-07T05:31:56Z\",\n \"createdBy\": \"<string>\",\n \"updated\": \"2023-11-07T05:31:56Z\",\n \"updatedBy\": \"<string>\",\n \"deleted\": true\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
{
"entity": "<string>",
"dated": "2023-11-07T05:31:56Z",
"userId": "<string>",
"nonBillableId": "<string>",
"timeLogged": "<string>",
"comment": "<string>",
"tenantId": "<string>",
"id": "<string>",
"created": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"updated": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"deleted": true
}Time
Updates an existing non-billable time entry.
PUT
/
api
/
time
/
{id}
Updates an existing non-billable time entry.
Authorizations
JWT Bearer token. Obtain via the OAuth 2.0 token endpoint.
Path Parameters
The unique identifier of the time entry.
Body
application/jsonapplication/*+json
The time entry with updated values.
Lists non-billable time entries for a user within a date range.
Previous
Lists all cost centers for the current tenant.
Next
⌘I